<?php

namespace App\Entities\LojaProduto;

use App\Utils\Builder;
use Exception;

class LojaProdutoBuilder implements Builder {
	protected $id;
	protected $id_produto;
	protected $id_status;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $alterado_por;
	protected $data_alteracao;
	protected $hora_alteracao;

	public function build(): LojaProduto {

		$pessoa = new LojaProduto();

		return $pessoa;

	}

	/**
	 * @param mixed $id
	 */
	public function setId($id):LojaProdutoBuilder {
		
		$this->id = $id;
		return $this;
	}
	
	
	/**
	 * @param mixed $id_produto
	 */
	public function setIdProduto($id_produto):LojaProdutoBuilder {
		
		$this->id_produto = $id_produto;
		return $this;
	}
	
	
	/**
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status):LojaProdutoBuilder {
		
		$this->id_status = $id_status;
		return $this;
	}
	
	
	/**
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por):LojaProdutoBuilder {
		
		$this->criado_por = $criado_por;
		return $this;
	}
	
	
	/**
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao):LojaProdutoBuilder {
		
		$this->data_criacao = $data_criacao;
		return $this;
	}
	
	
	/**
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao):LojaProdutoBuilder {
		
		$this->hora_criacao = $hora_criacao;
		return $this;
	}
	
	
	/**
	 * @param mixed $alterado_por
	 */
	public function setAlteradoPor($alterado_por):LojaProdutoBuilder {
		
		$this->alterado_por = $alterado_por;
		return $this;
	}
	
	
	/**
	 * @param mixed $data_alteracao
	 */
	public function setDataAlteracao($data_alteracao):LojaProdutoBuilder {
		
		$this->data_alteracao = $data_alteracao;
		return $this;
	}
	
	
	/**
	 * @param mixed $hora_alteracao
	 */
	public function setHoraAlteracao($hora_alteracao):LojaProdutoBuilder {
		
		$this->hora_alteracao = $hora_alteracao;
		return $this;
	}
	

}
